<template>
  <div class="container">

    <h4 class="movie-details-header mt-4" v-on:click="backToHome($event)">
      <i class="bi bi-arrow-left-circle back"></i>
      Movie Details
    </h4>

    <div class="my-4 d-flex">
      <div class="d-flex flex-column align-items-center justify-content-center movie-details-no-image-contaienr" v-if="!model.movie.image">
        <img class="card-img-top movie-details-no-image" src="../assets/app_icon.png" alt="card image">
        <h4 class="movie-details-header mt-4">Loading...</h4>
      </div>
      <img class="card-img-top movie-detail-image" :src="model.movie.image" alt="card image" v-else>
      <!-- <img class="card-img-top movie-detail-image" :src="model.movie.image" alt="card image"> -->

      <div class="mx-4 d-flex flex-column movie-details">
        <h2 class="card-title movie-detail-name">{{ model.movie.name }}</h2>
        <span class="my-4 movie-detail-title">Description</span>
        <p class="movie-detail-description">{{ model.movie.description }}</p>
        <div class="d-flex flex-row my-4">
          <span class="movie-detail-title">Rate:</span>
          <span class="movie-detail-rate">{{ model.movie.rate }}</span>
        </div>
      </div>
    </div>

  </div>
</template>

<script>
import axios from 'axios';

export default {

  data() {
    return {
      movieId: '',
      model: {
        movie: {
          name: '',
          description: '',
          rate: '',
          image:'',
        }
      }
    }
  },
  mounted() {
    console.log(this.$route.params.id);
    this.movieId = this.$route.params.id;
    this.model.movie.name = 'Loading movie...';
    this.model.movie.description = '-';
    this.model.movie.rate = '-';
    // this.model.movie.image = `../assets/app_icon.png`;
    this.getMovieData(this.$route.params.id);
  },
  methods: {
    getMovieData(movieId) {
      axios.get(`http://localhost:8000/api/movies/${movieId}/edit`, {
        headers: {
          'Authorization': localStorage.getItem('token'),
          'Accept': 'application/json'
        }
      }).then(res => {
        console.log(res.data);
        // this.model.movie.name = res.data.data.name;
        this.model.movie = res.data.data;
      }).catch(function (error) {
        if (error.response) {
          if (error.response.status == 404) {
            // $this.errorList = error.response.data.errors;
            alert(error.response.data.message);
          }
        }
      });
    },

    backToHome: function (event) {
      // targetId = event.currentTarget.id;
      // console.log(targetId); // returns 'foo'
      this.$router.push({ path: '/home' });
    },
  },
}
</script>

<style>
[class^="bi-"]::before, [class*=" bi-"]::before{
  line-height: inherit!important;
}

.movie-details-header {
  text-transform: uppercase;
  color: #fdba74;
  cursor: pointer !important;
}

.movie-detail-name,
.movie-detail-title {
  text-transform: uppercase;
  color: #fdba74;
  margin-right: 1rem !important;

}

.movie-detail-description,
.movie-detail-rate {
  color: white;
  margin-bottom: 0 !important;
}

.movie-details-no-image-contaienr{
  min-width: 24vw;
  max-width: 24vw;
  height: 75vh;
  border-radius: 16px;
  border: 1px solid white;
}

.movie-details-no-image{
  width: 65%!important;
}

.movie-detail-image {
  min-width: 24vw;
  max-width: 24vw;
  height: 75vh;
  border-radius: 16px;
  /* border: 1px solid white; */
}

.movie-detail-name {
  color: #fdba74;
}

.btn-primary,
.btn-primary:hover,
.btn-primary:focus-visible {
  background: #474646 !important;
  border-color: #474646 !important;
}
</style>
